#include <iostream>
#include<vector>
using namespace std;
int main()
{
	int n, l,n1=-1;
	vector<int> h;
	cin >> n >> l;
	int i;
	int j;
	for (i = 0; i < n; i++)
	{
		cin >> j;
		h.push_back(j);
	}
	for (i = 0; i < n; i++)
	{
		if (l >= h[i]) {
			n1 = i + 1;
			break;
		}
	}
	cout << n1;
}